Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003885 [JEDI VCL] 00 JVCL Components major always 2006-09-05 12:16 2006-09-06 01:55
Reporter xml99 View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003885: German Umlaute in TJvBalloonHint
Description German Umalute (öäüß) are not shown correct. They are changed to a "|". Additionally 2-3 characters after the Umlaut are missing.

This problem appeared after using the unicode enabled TJvBalloonHint.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
has duplicate 0003898resolvedobones TJvBalloonHint: do not call UTF8ToWideString in TJvBalloonWindow.CalcHintRect 

-  Notes
(0010067)
obones (administrator)
2006-09-05 14:34

ENcode the string in UTF-8, it should help.
(0010068)
xml99 (reporter)
2006-09-05 23:13

The TJvBalloonHint was updated to support Unicode in addition. So it should encode the hint into utf8 by itself (see discription of TJvBalloonHint).

I can not change all hints in all forms to utf8 by hand!
(0010069)
obones (administrator)
2006-09-06 01:42

This is only happening when using it as the application hint.
I'm investigating.
(0010070)
obones (administrator)
2006-09-06 01:55

This is now fixed in SVN.

- Issue History
Date Modified Username Field Change
2006-09-05 12:16 xml99 New Issue
2006-09-05 14:34 obones Note Added: 0010067
2006-09-05 14:34 obones Status new => feedback
2006-09-05 23:13 xml99 Note Added: 0010068
2006-09-06 01:42 obones Note Added: 0010069
2006-09-06 01:42 obones Status feedback => confirmed
2006-09-06 01:55 obones Status confirmed => resolved
2006-09-06 01:55 obones Fixed in Version => Daily / SVN
2006-09-06 01:55 obones Resolution open => fixed
2006-09-06 01:55 obones Assigned To => obones
2006-09-06 01:55 obones Note Added: 0010070
2006-09-13 01:50 obones Relationship added has duplicate 0003898


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker